library(lubridate)
library(dplyr)
# read files
df_videoFeatures <- data.frame()
videoFeatureFiles <- list.files(pattern="*_videoFeatures.csv")
for (file_name in videoFeatureFiles) {
  df_temp <- read.csv(file_name, header = F)
  df_videoFeatures <- rbind(df_videoFeatures, df_temp)
}
colnames(df_videoFeatures) <- c('Date', 'Time', 'X', 'Y', 'Z')
df_videoFeatures$timestamp <- as.POSIXct(strptime(paste0(as.Date(df_videoFeatures$Date)," ",df_videoFeatures$Time), "%Y-%m-%d %H:%M:%S"))
df2 <- df_videoFeatures %>%
  group_by(timestamp) %>%
  summarise_at(c('X', 'Y', 'Z'), list(min = min, mean = mean, max = max, median = median, sd=sd), na.rm = TRUE)

write.csv(df2, "allVideoFeatures.csv", row.names = F)
